org.eclipse.viatra.query.patternlanguage.jvmmodel

## Class PatternLanguageJvmModelInferrer

- java.lang.Object
- - org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer
  - - org.eclipse.viatra.query.patternlanguage.jvmmodel.PatternLanguageJvmModelInferrer

- All Implemented Interfaces:
    org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer

      public class PatternLanguageJvmModelInferrer
      extends org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer

  Infers a JVM model from the source model.

  The JVM model should contain all elements that would appear in the Java code which is generated from the source model. Other models link against the JVM model rather than the source model.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer

      `org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer.NullImpl`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer

      `_annotationTypesBuilder, _typeReferenceBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageJvmModelInferrer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_infer(PatternModel element, org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.common.types.JvmDeclaredType> acceptor, boolean isPrelinkingPhase)` Is called for each instance of the first argument's type contained in a resource.
    `void` | `infer(org.eclipse.emf.ecore.EObject element, org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor, boolean isPrelinkingPhase)`

    - ### Methods inherited from class org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer

      `_infer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageJvmModelInferrer

          public PatternLanguageJvmModelInferrer()

  - ### Method Detail

    - #### _infer

          protected void _infer(PatternModel element,
                                org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.common.types.JvmDeclaredType> acceptor,
                                boolean isPrelinkingPhase)

      Is called for each instance of the first argument's type contained in a resource.
      Parameters:
        `element` - - the model to create one or more JvmDeclaredTypes from.
        `acceptor` - - each created JvmDeclaredType without a container should be passed to the acceptor in order get attached to the current resource.
        `isPreLinkingPhase` - - whether the method is called in a pre linking phase, i.e. when the global index isn't fully updated. You must not rely on linking using the index if iPrelinkingPhase is `true`

    - #### infer

          public void infer(org.eclipse.emf.ecore.EObject element,
                            org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor,
                            boolean isPrelinkingPhase)

      Specified by:
        `infer` in interface `org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer`
      Overrides:
        `infer` in class `org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer`